package file_system;

import java.io.Serializable;

public class File_attributes implements Serializable{
        private static final long serialVersionUID = 42L;
        private String file_id;
        private String file_path;
        private int chunk_number;
       
        public File_attributes(String file_id, String file_path)
        {
                this.file_id = file_id;
                this.file_path = file_path;
                chunk_number = -1;
        }
       
        public File_attributes(String file_id, int chunk_number)
        {
                this.file_id = file_id;
                this.chunk_number = chunk_number;
                file_path = null;
        }
       
        public int get_chunk_number()
        {
                return chunk_number;
        }
       
        public String get_file_path()
        {
                return file_path;
        }
       
        public String get_file_id()
        {
                return file_id;
        }

        public boolean is(String file_id, int chunk_number) {
                return (this.file_id.equals(file_id) && this.chunk_number == chunk_number);
        }
       
}

