package file_system;

import java.io.BufferedOutputStream;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutput;
import java.io.ObjectOutputStream;
import java.io.OutputStream;
import java.util.ArrayList;

public class Files_sent {

	private ArrayList<File_attributes> files_sent;
	public static Files_sent files = new Files_sent();

	@SuppressWarnings("unchecked")
	private Files_sent()
	{
		files_sent= new ArrayList<File_attributes>();
		try{
			FileInputStream file_in = new FileInputStream( "files_sent/files_sent" );
			ObjectInputStream input = new ObjectInputStream ( file_in);
			files_sent = (ArrayList<File_attributes>)input.readObject();
			input.close();
			file_in.close();
		}catch(IOException e){
			//System.out.println("Error in Files_sent.java #01");
		} catch (ClassNotFoundException e) {
			System.out.println("Error in Files_sent.java #02");
		}
	}

	public void add_sent_file(File_attributes file_attributes)
	{
		files_sent.add(file_attributes);
		save_files_sent();
	}

	private void save_files_sent() {
		try {
			OutputStream file = new FileOutputStream("files_sent/files_sent");
			OutputStream buffer = new BufferedOutputStream( file );
			ObjectOutput output = new ObjectOutputStream( buffer );
			try{
				output.writeObject(files_sent);
			}
			finally{
				output.close();
			}
		} catch (IOException e) {
			System.out.println("Error in Files_sent.java #03");
		}
	}

	public void delete_sent_file(File_attributes file_attributes)
	{
		files_sent.remove(file_attributes);
		save_files_sent();
	}

	public ArrayList<File_attributes> get_files_sent(){
		return files_sent;
	}

	public File_attributes get_file_attributes(String file_id) {

		for( int i=0; i< files_sent.size();i++)
		{
			if( files_sent.get(i).get_file_id().equals(file_id))
			{
				return files_sent.get(i);
			}
		}
		return null;
	}
}