package multicast;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.MulticastSocket;

import constants.Constants;

public class Stored_data_1 {
	private static MulticastSocket socket = null;
	private static Stored_data_1 stored_data = new Stored_data_1();

	private Stored_data_1()
	{
		if( socket == null )
		{
			try {
				socket = new MulticastSocket(Constants.MDB_PORT);
				socket.joinGroup(Constants.MDB_ADDRESS());
				Stored_data_2 unstored_data = new Stored_data_2(socket);
				unstored_data.start();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}

	public static Stored_data_1 MDB()
	{
		return stored_data;
	}

	public void send(String packet) {
		try {
			byte[] message = packet.getBytes();
			DatagramPacket packet_temp = new DatagramPacket(message,message.length,Constants.MDB_ADDRESS(),Constants.MDB_PORT);
			socket.send(packet_temp);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}