package multicast;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.MulticastSocket;

import constants.Constants;

public class Unstored_data_1 {
	private static MulticastSocket socket = null;
	private static Unstored_data_1 unstored_data = new Unstored_data_1();

	private Unstored_data_1()
	{
		if( socket == null )
		{
			try {
				socket = new MulticastSocket(Constants.MDR_PORT);
				socket.joinGroup(Constants.MDR_ADDRESS());
				Unstored_data_2 listener = new Unstored_data_2(socket);
				listener.start();
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}

	public static Unstored_data_1 MDR()
	{
		return unstored_data;
	}

	public void send(String packet) {

		try {
			byte[] message = packet.getBytes();
			DatagramPacket packet_temp = new DatagramPacket(message,message.length,Constants.MDR_ADDRESS(),Constants.MDR_PORT);
			socket.send(packet_temp);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}